Bug 1698960 - Cavium/Marvell 7.7 FEAT] BNX2X_FW: Update to 7.13.11.0 firmware files
Summary: Cavium/Marvell 7.7 FEAT] BNX2X_FW: Update to 7.13.11.0 firmware files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linux-firmware
Version: 7.7
Hardware: All
OS: All
unspecified
medium
Target Milestone: rc
: 7.7
Assignee: Bruno Meneguele
QA Contact: Tianhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 13:42 UTC by Manish Chopra (Marvell)
Modified: 2019-08-06 13:01 UTC (History)
10 users (show)

Fixed In Version: linux-firmware-20190429-72.gitddde598.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:01:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2169 0 None None None 2019-08-06 13:01:03 UTC

Description Manish Chopra (Marvell) 2019-04-11 13:42:55 UTC
Hi,

We need FW files from below linux-firmware.git commit to be included in RHEL7.7 kernel. 

commit 8fcf0ec44c11f1865f8451c0265e84bf16365312
Author: Rahul Verma <Rahul.Verma@cavium.com>
Date:   Fri Feb 8 00:57:04 2019 -0800

    bnx2x: Add FW 7.13.11.0.

    This patch adds new FW for bnx2x, which adds the following:
     - TX VLAN filtering support.
     - Enable TPA only for packets without VLAN.

    It also addresses few critical issues,
     - Fairness algorithm misbehaviour when minimum bandwidth configured
       for all PFs.
     - Error recovery issue on TAPE devices.
     - FW not discarding FIP frames that are not designated to PF.
     - Kernel driver initialization failure after preboot driver.
     - VxLAN stops working after sending inner IP fragmented traffic.
     - Issues in the following FW flows:
        SD VLAN update, TX packet drop, packet padding flow, vlan add/remove.

    Signed-off-by: Sudarsana Reddy Kalluru <Sudarsana.Kalluru@cavium.com>
    Signed-off-by: Ariel Elior <Ariel.Elior@cavium.com>
    Signed-off-by: Rahul Verma <Rahul.Verma@cavium.com>
    Signed-off-by: Josh Boyer <jwboyer@kernel.org>


Thanks,
Manish

Comment 3 Rachel Sibley 2019-04-25 14:54:19 UTC
@kexin can you assign and provide ack/nack for this bug ? Thank you !

Comment 5 Manish Chopra (Marvell) 2019-05-11 19:06:22 UTC
Hi Bruno,

Any update here ? We will need this FW to be included in rhel7.7 for working with upgraded DPDK drivers/releases

Thanks,
Manish

Comment 6 Bruno Meneguele 2019-05-13 18:59:01 UTC
(In reply to Manish Chopra (Marvell) from comment #5)
> Hi Bruno,
> 
> Any update here ? We will need this FW to be included in rhel7.7 for working
> with upgraded DPDK drivers/releases
> 
> Thanks,
> Manish

Hi Manish,

this request was already solved actually, I'm going to update it accordingly.
We're just waiting some BZ flags handling to move forward.
But it'll be available in 7.7 release.

Comment 11 Tianhao 2019-06-26 02:07:52 UTC
Hi Manish,

The linux-firmware package is the right version but the firmware version of bnx2x NIC is not 7.13.11.0 in 'ethtool -i'.

Can you provide some info of it? Thanks in advance.


[root@hp-dl380g9-06 firmware]# rpm -qi linux-firmware
Name        : linux-firmware
Version     : 20190429
Release     : 72.gitddde598.el7
Architecture: noarch
Install Date: Tue 25 Jun 2019 09:24:31 PM EDT
Group       : System Environment/Kernel
Size        : 340702338
License     : GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
Signature   : RSA/SHA256, Tue 14 May 2019 06:18:35 AM EDT, Key ID 199e2f91fd431d51
Source RPM  : linux-firmware-20190429-72.gitddde598.el7.src.rpm
Build Date  : Mon 29 Apr 2019 10:32:20 AM EDT
Build Host  : x86-034.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
Summary     : Firmware files used by the Linux kernel
Description :
Kernel-firmware includes firmware files required for some devices to
operate.
[root@hp-dl380g9-06 ~]# ll /lib/firmware/bnx2x/bnx2x*7.13.11.0*
-rw-r--r--. 1 root root 169904 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e1-7.13.11.0.fw
-rw-r--r--. 1 root root 178328 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e1h-7.13.11.0.fw
-rw-r--r--. 1 root root 322296 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e2-7.13.11.0.fw
[root@hp-dl380g9-06 ~]# ethtool -i ens1f0
driver: bnx2x
version: 1.713.36-0 storm 7.13.1.0
firmware-version: FFV7.12.17 bc 7.12.4
expansion-rom-version: 
bus-info: 0000:05:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

Regards,
Tianhao

Comment 12 Manish Chopra (Marvell) 2019-07-03 16:04:29 UTC
(In reply to Tianhao from comment #11)
> Hi Manish,
> 
> The linux-firmware package is the right version but the firmware version of
> bnx2x NIC is not 7.13.11.0 in 'ethtool -i'.
> 
> Can you provide some info of it? Thanks in advance.
> 
> 
> [root@hp-dl380g9-06 firmware]# rpm -qi linux-firmware
> Name        : linux-firmware
> Version     : 20190429
> Release     : 72.gitddde598.el7
> Architecture: noarch
> Install Date: Tue 25 Jun 2019 09:24:31 PM EDT
> Group       : System Environment/Kernel
> Size        : 340702338
> License     : GPL+ and GPLv2+ and MIT and Redistributable, no modification
> permitted
> Signature   : RSA/SHA256, Tue 14 May 2019 06:18:35 AM EDT, Key ID
> 199e2f91fd431d51
> Source RPM  : linux-firmware-20190429-72.gitddde598.el7.src.rpm
> Build Date  : Mon 29 Apr 2019 10:32:20 AM EDT
> Build Host  : x86-034.build.eng.bos.redhat.com
> Relocations : (not relocatable)
> Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
> Vendor      : Red Hat, Inc.
> URL         :
> https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
> Summary     : Firmware files used by the Linux kernel
> Description :
> Kernel-firmware includes firmware files required for some devices to
> operate.
> [root@hp-dl380g9-06 ~]# ll /lib/firmware/bnx2x/bnx2x*7.13.11.0*
> -rw-r--r--. 1 root root 169904 Apr 29 10:32
> /lib/firmware/bnx2x/bnx2x-e1-7.13.11.0.fw
> -rw-r--r--. 1 root root 178328 Apr 29 10:32
> /lib/firmware/bnx2x/bnx2x-e1h-7.13.11.0.fw
> -rw-r--r--. 1 root root 322296 Apr 29 10:32
> /lib/firmware/bnx2x/bnx2x-e2-7.13.11.0.fw
> [root@hp-dl380g9-06 ~]# ethtool -i ens1f0
> driver: bnx2x
> version: 1.713.36-0 storm 7.13.1.0
> firmware-version: FFV7.12.17 bc 7.12.4
> expansion-rom-version: 
> bus-info: 0000:05:00.0
> supports-statistics: yes
> supports-test: yes
> supports-eeprom-access: yes
> supports-register-dump: yes
> supports-priv-flags: yes
> 
> Regards,
> Tianhao

That's correct. Firmware used by the inbox bnx2x driver is supposed to be 7.13.1.0 but for future DPDK upgraded releases we might need the newer FW files (v7.13.11.0)
That's why this BZ was opened for inclusion of latest bnx2x FW files too but that FW won't be utilized by bnx2x driver.

BZ #1643556 is actually opened for the FW inclusion for bnx2x driver. Which is fw version 7.13.1.0

Bruno,

Just to confirm this FW (7.13.11.0) is part of rhel7.7 ?

Thanks,
Manish

Comment 13 Bruno Meneguele 2019-07-04 14:00:18 UTC
(In reply to Manish Chopra (Marvell) from comment #12)
> 
> Bruno,
> 
> Just to confirm this FW (7.13.11.0) is part of rhel7.7 ?


Yep, it is:

# rpm -qi linux-firmware
Name        : linux-firmware
Version     : 20190429
Release     : 72.gitddde598.el7
...
# ll /lib/firmware/bnx2x/bnx2x*7.13.11.0*
-rw-r--r--. 1 root root 169904 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e1-7.13.11.0.fw
-rw-r--r--. 1 root root 178328 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e1h-7.13.11.0.fw
-rw-r--r--. 1 root root 322296 Apr 29 10:32 /lib/firmware/bnx2x/bnx2x-e2-7.13.11.0.fw

Comment 16 errata-xmlrpc 2019-08-06 13:01:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2169


Note You need to log in before you can comment on or make changes to this bug.